Index: code/trunk/src/libraries/util/Convert.h
===================================================================
--- code/trunk/src/libraries/util/Convert.h	(revision 8423)
+++ code/trunk/src/libraries/util/Convert.h	(revision 8706)
@@ -143,5 +143,5 @@
     struct ConverterFallback
     {
-        ORX_FORCEINLINE static bool convert(ToType* output, const FromType& input)
+        ORX_FORCEINLINE static bool convert(ToType* /*output*/, const FromType& /*input*/)
         {
             COUT(2) << "Could not convert value of type " << typeid(FromType).name()
Index: code/trunk/src/libraries/util/Exception.h
===================================================================
--- code/trunk/src/libraries/util/Exception.h	(revision 8423)
+++ code/trunk/src/libraries/util/Exception.h	(revision 8706)
@@ -110,5 +110,5 @@
         virtual const std::string& getDescription()     const { return this->description_; }
         //! Returns the line number on which the exception occurred.
-        virtual const unsigned int getLineNumber()      const { return this->lineNumber_; }
+        virtual unsigned int getLineNumber()            const { return this->lineNumber_; }
         //! Returns the function in which the exception occurred.
         virtual const std::string& getFunctionName()    const { return this->functionName_; }
Index: code/trunk/src/libraries/util/Math.h
===================================================================
--- code/trunk/src/libraries/util/Math.h	(revision 8423)
+++ code/trunk/src/libraries/util/Math.h	(revision 8706)
@@ -174,5 +174,8 @@
             return (x % max);
         else
-            return ((x % max) + max);
+        {
+            T temp = x % max;
+            return (temp < 0) ? (temp + max) : temp;
+        }
     }
 
Index: code/trunk/src/libraries/util/MultiTypeValue.h
===================================================================
--- code/trunk/src/libraries/util/MultiTypeValue.h	(revision 8423)
+++ code/trunk/src/libraries/util/MultiTypeValue.h	(revision 8706)
@@ -255,9 +255,9 @@
         return 4*returnSize(this->value_.x);
     }
-    template <> inline void MT_Value<void*>::importData( uint8_t*& mem )
+    template <> inline void MT_Value<void*>::importData( uint8_t*& /*mem*/ )
     {
         assert(0);
     }
-    template <> inline void MT_Value<void*>::exportData( uint8_t*& mem ) const
+    template <> inline void MT_Value<void*>::exportData( uint8_t*& /*mem*/ ) const
     {
         assert(0);
Index: code/trunk/src/libraries/util/ScopedSingletonManager.h
===================================================================
--- code/trunk/src/libraries/util/ScopedSingletonManager.h	(revision 8423)
+++ code/trunk/src/libraries/util/ScopedSingletonManager.h	(revision 8706)
@@ -247,10 +247,10 @@
 
         //! Destroys the singleton instance - overloaded for OrxonoxClass, calls OrxonoxClass::destroy()
-        void destroy(OrxonoxClass* ptr)
+        void destroy(OrxonoxClass*)
         {
             singletonPtr_->destroy();
         }
         //! Destroys the singleton instance - overloaded for void*, calls delete
-        void destroy(void* ptr)
+        void destroy(void*)
         {
             delete singletonPtr_;
Index: code/trunk/src/libraries/util/Serialise.h
===================================================================
--- code/trunk/src/libraries/util/Serialise.h	(revision 8423)
+++ code/trunk/src/libraries/util/Serialise.h	(revision 8706)
@@ -87,5 +87,5 @@
 // =========== bool
 
-    template <> inline uint32_t returnSize( const bool& variable )
+    template <> inline uint32_t returnSize( const bool& )
     {
         return sizeof(uint8_t);
@@ -111,5 +111,5 @@
 // =========== char
 
-    template <> inline uint32_t returnSize( const char& variable )
+    template <> inline uint32_t returnSize( const char& )
     {
         return sizeof(uint8_t);
@@ -135,5 +135,5 @@
 // =========== unsigned char
 
-    template <> inline uint32_t returnSize( const unsigned char& variable )
+    template <> inline uint32_t returnSize( const unsigned char& )
     {
         return sizeof(uint8_t);
@@ -159,5 +159,5 @@
 // =========== short
 
-    template <> inline uint32_t returnSize( const short& variable )
+    template <> inline uint32_t returnSize( const short& )
     {
         return sizeof(int16_t);
@@ -183,5 +183,5 @@
 // =========== unsigned short
 
-    template <> inline uint32_t returnSize( const unsigned short& variable )
+    template <> inline uint32_t returnSize( const unsigned short& )
     {
         return sizeof(uint16_t);
@@ -207,5 +207,5 @@
 // =========== int
 
-    template <> inline uint32_t returnSize( const int& variable )
+    template <> inline uint32_t returnSize( const int& )
     {
         return sizeof(int32_t);
@@ -231,5 +231,5 @@
 // =========== unsigned int
 
-    template <> inline uint32_t returnSize( const unsigned int& variable )
+    template <> inline uint32_t returnSize( const unsigned int& )
     {
         return sizeof(uint32_t);
@@ -255,5 +255,5 @@
 // =========== long
 
-    template <> inline uint32_t returnSize( const long& variable )
+    template <> inline uint32_t returnSize( const long& )
     {
         return sizeof(int32_t);
@@ -279,5 +279,5 @@
 // =========== unsigned long
 
-    template <> inline uint32_t returnSize( const unsigned long& variable )
+    template <> inline uint32_t returnSize( const unsigned long& )
     {
         return sizeof(uint32_t);
@@ -303,5 +303,5 @@
 // =========== long long
 
-    template <> inline uint32_t returnSize( const long long& variable )
+    template <> inline uint32_t returnSize( const long long& )
     {
         return sizeof(int64_t);
@@ -327,5 +327,5 @@
 // =========== unsigned long long
 
-    template <> inline uint32_t returnSize( const unsigned long long& variable )
+    template <> inline uint32_t returnSize( const unsigned long long& )
     {
         return sizeof(uint64_t);
@@ -351,5 +351,5 @@
 // =========== float
 
-    template <> inline uint32_t returnSize( const float& variable )
+    template <> inline uint32_t returnSize( const float& )
     {
         return sizeof(uint32_t);
@@ -375,5 +375,5 @@
 // =========== double
 
-    template <> inline uint32_t returnSize( const double& variable )
+    template <> inline uint32_t returnSize( const double& )
     {
         return sizeof(uint64_t);
@@ -399,5 +399,5 @@
 // =========== long double
 
-    template <> inline uint32_t returnSize( const long double& variable )
+    template <> inline uint32_t returnSize( const long double& )
     {
         return sizeof(uint64_t);
@@ -452,5 +452,5 @@
 // =========== Degree
 
-    template <> inline uint32_t returnSize( const Degree& variable )
+    template <> inline uint32_t returnSize( const Degree& )
     {
         return sizeof(Ogre::Real);
@@ -479,5 +479,5 @@
 // =========== Radian
 
-    template <> inline uint32_t returnSize( const Radian& variable )
+    template <> inline uint32_t returnSize( const Radian& )
     {
         return sizeof(Ogre::Real);
Index: code/trunk/src/libraries/util/SubString.h
===================================================================
--- code/trunk/src/libraries/util/SubString.h	(revision 8423)
+++ code/trunk/src/libraries/util/SubString.h	(revision 8706)
@@ -110,5 +110,5 @@
             SL_COMMENT,           //!< In Comment mode.
             SL_PARENTHESES,       //!< Between parentheses (usually '{' and '}')
-            SL_PARENTHESESESCAPE, //!< Between parentheses with the internal escape character, that escapes even the closing paranthesis character.
+            SL_PARENTHESESESCAPE, //!< Between parentheses with the internal escape character, that escapes even the closing parenthesis character.
         };
 
@@ -169,5 +169,5 @@
         /// Returns the number of tokens stored in this SubString
         inline unsigned int size() const { return this->tokens_.size(); }
-        /// Returns the i'th token from the subset of strings @param index The index of the requested doken
+        /// Returns the i'th token from the subset of strings @param index The index of the requested token
         inline const std::string& operator[](unsigned int index) const { return this->tokens_[index]; }
         /// Returns the i'th token from the subset of strings @param index The index of the requested token
@@ -209,5 +209,5 @@
                                           SPLIT_LINE_STATE start_state = SL_NORMAL);
 
-        std::vector<std::string>  tokens_;              ///< The tokens after spliting the input line
+        std::vector<std::string>  tokens_;              ///< The tokens after splitting the input line
         std::vector<bool>         bTokenInSafemode_;    ///< Saves for each token if it was in safe mode (between quotation marks or parenthesis)
     };
